//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//            Box Sampling
// 
// Filename:  userstr.h
// 
// Purpose:   Define "ItemStr" structure of item, and any error codes.
//
// History:   JS    3 April 2004
//-----------------------------------------------------------------------------
#ifndef USERSTRH
#define USERSTRH

typedef struct             // <<<< PARAMETERS COMMON TO ALL ITEMS >>>>
{
    int       Ndim;        // I    input dimension of prior sphere
    double    Radius;      // I    input radius of prior sphere
    double*   try;         //  (O) workspace for trial position         [Ndim]
} ParamStr;

typedef struct             // <<<< INDIVIDUAL ITEM INFORMATION >>>>
{
    ParamStr* Params;      // I    parameters common to all items
    double*   x;           //   O  individual positional coordinates    [Ndim]
} ItemStr;

#undef  E_ANALYSIS   // Range of analytic results exceeded
#define E_ANALYSIS   -33

#endif

